Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer.entity
Class Render

    java.lang.Object
      net.minecraft.client.renderer.entity.Render

Direct Known Subclasses:
  RenderArrow, RenderBoat, RenderEnderCrystal, RenderEntity, RenderFallingSand, RenderFireball, RenderFish, RenderItem, RenderItemFrame, RenderLightningBolt, RenderLiving, RenderMinecart, RenderPainting, RenderSnowball, RenderTNTPrimed, RenderWitherSkull, RenderXPOrb

    public abstract class Render

extends Object

Constructor Summary
`Render()`

Method Summary
`abstract void` | `doRender(Entity var1, double var2, double var4, double var6, float var8, float var9)` Actually renders the given argument.
`void` | `doRenderShadowAndFire(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Renders the entity's shadow and fire (if its on fire).
`FontRenderer` | `getFontRendererFromRenderManager()` Returns the font renderer from the set render manager
`static void` | `renderAABB(AxisAlignedBB par0AxisAlignedBB)` Adds to the tesselator a box using the aabb for the bounds.
`static void` | `renderOffsetAABB(AxisAlignedBB par0AxisAlignedBB, double par1, double par3, double par5)` Renders a white box with the bounds of the AABB translated by the offset.
`void` | `setRenderManager(RenderManager par1RenderManager)` Sets the RenderManager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Render

    public Render()

Method Detail

### doRender

    public abstract void doRender(Entity var1,
                                  double var2,
                                  double var4,
                                  double var6,
                                  float var8,
                                  float var9)

  Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render

### renderOffsetAABB

    public static void renderOffsetAABB(AxisAlignedBB par0AxisAlignedBB,
                                        double par1,
                                        double par3,
                                        double par5)

  Renders a white box with the bounds of the AABB translated by the offset. Args: aabb, x, y, z

### renderAABB

    public static void renderAABB(AxisAlignedBB par0AxisAlignedBB)

  Adds to the tesselator a box using the aabb for the bounds. Args: aabb

### setRenderManager

    public void setRenderManager(RenderManager par1RenderManager)

  Sets the RenderManager.

### doRenderShadowAndFire

    public void doRenderShadowAndFire(Entity par1Entity,
                                      double par2,
                                      double par4,
                                      double par6,
                                      float par8,
                                      float par9)

  Renders the entity's shadow and fire (if its on fire). Args: entity, x, y, z, yaw, partialTickTime

### getFontRendererFromRenderManager

    public FontRenderer getFontRendererFromRenderManager()

  Returns the font renderer from the set render manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD